
%global meadversion 1.5.6
%global namedversion 1.5.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 4
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package %{?scl_prefix}glassfish-javamail}
%{!?scl:%global pkg_name %{name}}

%global orig_name glassfish-javamail

%define maven_version 1.5.6.redhat-1

Name:           %{?scl_prefix}glassfish-javamail
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Glassfish - JavaMail API
Group:          Development/Java

%if %with mead
Source100: all-1.5.6.redhat-1-scm-sources.zip
Source102: javax.mail-api-1.5.6.redhat-1-javadoc.jar
Source103: javax.mail-api-1.5.6.redhat-1-sources.jar
Source104: javax.mail-api-1.5.6.redhat-1.pom
Source105: javax.mail-api-1.5.6.redhat-1.jar
Source106: logging-mailhandler-1.5.6.redhat-1-sources.jar
Source107: logging-mailhandler-1.5.6.redhat-1.pom
Source108: logging-mailhandler-1.5.6.redhat-1.jar
Source109: logging-mailhandler-1.5.6.redhat-1-javadoc.jar
Source110: servlet-1.5.6.redhat-1-sources.jar
Source111: servlet-1.5.6.redhat-1.pom
Source112: servlet-1.5.6.redhat-1.jar
Source113: servlet-1.5.6.redhat-1-javadoc.jar
Source114: outlook-1.5.6.redhat-1-javadoc.jar
Source115: outlook-1.5.6.redhat-1.pom
Source116: outlook-1.5.6.redhat-1.jar
Source117: outlook-1.5.6.redhat-1-sources.jar
Source118: smtp-1.5.6.redhat-1.pom
Source119: smtp-1.5.6.redhat-1-javadoc.jar
Source120: smtp-1.5.6.redhat-1-sources.jar
Source121: smtp-1.5.6.redhat-1.jar
Source122: mailapi-1.5.6.redhat-1.pom
Source123: mailapi-1.5.6.redhat-1-javadoc.jar
Source124: mailapi-1.5.6.redhat-1-sources.jar
Source125: mailapi-1.5.6.redhat-1.jar
Source126: all-1.5.6.redhat-1.pom
Source127: all-1.5.6.redhat-1-project-sources.tar.gz
Source128: android-activation-1.5.6.redhat-1.jar
Source129: android-activation-1.5.6.redhat-1.pom
Source130: android-activation-1.5.6.redhat-1-sources.jar
Source131: android-activation-1.5.6.redhat-1-javadoc.jar
Source132: android-1.5.6.redhat-1.pom
Source133: mbox-1.5.6.redhat-1-sources.jar
Source134: mbox-1.5.6.redhat-1.jar
Source135: mbox-1.5.6.redhat-1.pom
Source136: pop3-1.5.6.redhat-1.jar
Source137: pop3-1.5.6.redhat-1-javadoc.jar
Source138: pop3-1.5.6.redhat-1-sources.jar
Source139: pop3-1.5.6.redhat-1.pom
Source140: dsn-1.5.6.redhat-1-sources.jar
Source141: dsn-1.5.6.redhat-1.pom
Source142: dsn-1.5.6.redhat-1-javadoc.jar
Source143: dsn-1.5.6.redhat-1.jar
Source144: webapp-1.5.6.redhat-1-sources.jar
Source145: webapp-1.5.6.redhat-1-javadoc.jar
Source146: webapp-1.5.6.redhat-1.war
Source147: webapp-1.5.6.redhat-1.pom
Source148: demo-1.5.6.redhat-1.pom
Source149: demo-1.5.6.redhat-1-sources.jar
Source150: demo-1.5.6.redhat-1.jar
Source151: demo-1.5.6.redhat-1-javadoc.jar
Source152: publish-1.5.6.redhat-1-samples.zip
Source153: publish-1.5.6.redhat-1.pom
Source154: gimap-1.5.6.redhat-1.pom
Source155: gimap-1.5.6.redhat-1-sources.jar
Source156: gimap-1.5.6.redhat-1.jar
Source157: gimap-1.5.6.redhat-1-javadoc.jar
Source158: javax.mail-1.5.6.redhat-1.jar
Source159: javax.mail-1.5.6.redhat-1-javadoc.jar
Source160: javax.mail-1.5.6.redhat-1-sources.jar
Source161: javax.mail-1.5.6.redhat-1.pom
Source162: taglib-1.5.6.redhat-1.pom
Source163: taglib-1.5.6.redhat-1.jar
Source164: taglib-1.5.6.redhat-1-javadoc.jar
Source165: taglib-1.5.6.redhat-1-sources.jar
Source166: android-mail-1.5.6.redhat-1.jar
Source167: android-mail-1.5.6.redhat-1.pom
Source168: android-mail-1.5.6.redhat-1-javadoc.jar
Source169: android-mail-1.5.6.redhat-1-sources.jar
Source170: parent-distrib-1.5.6.redhat-1.pom
Source171: client-1.5.6.redhat-1-sources.jar
Source172: client-1.5.6.redhat-1.jar
Source173: client-1.5.6.redhat-1-javadoc.jar
Source174: client-1.5.6.redhat-1.pom
Source175: imap-1.5.6.redhat-1.jar
Source176: imap-1.5.6.redhat-1.pom
Source177: imap-1.5.6.redhat-1-sources.jar
Source178: logging-1.5.6.redhat-1.jar
Source179: logging-1.5.6.redhat-1.pom
Source180: logging-1.5.6.redhat-1-javadoc.jar
Source181: logging-1.5.6.redhat-1-sources.jar
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            http://glassfish.dev.java.net/
Provides:       %{?scl_prefix}javax.mail = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JavaMail API from GlassFish.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}.
%endif

%prep
%setup -q -n glassfish-javamail -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p %{_sourcedir}/client-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-client-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/demo-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-demo-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/demo-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-demo-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/dsn-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-dsn-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/dsn-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-dsn-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/gimap-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-gimap-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/imap-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-imap-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/imap-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-imap-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/javax.mail-%{namedversion}.jar %{buildroot}%{_javadir}/javax.mail-%{namedversion}.jar

%if 0
%{__cp} -p %{_sourcedir}/javax.mail-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-javax.mail-api-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/javax.mail-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-javax.mail-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/logging-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-logging-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/logging-mailhandler-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-logging-mailhandler-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/logging-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-logging-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/mailapi-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-mailapi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/mbox-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-mbox-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/mbox-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-mbox-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/outlook-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-outlook-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/outlook-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-outlook-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/pop3-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-pop3-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/pop3-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-pop3-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/servlet-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-servlet-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-servlet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smtp-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-smtp-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/smtp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-smtp-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglib-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-taglib-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/taglib-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-taglib-%{namedversion}-sources.jar
#%%{__cp} -p %{_sourcedir}/webapp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-webapp-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/webapp-%{namedversion}.war %{buildroot}%{_javadir}/%{orig_name}-webapp-%{namedversion}.war
%endif

%if 0
pushd %{buildroot}%{_javadir}
%{__ln_s} %{orig_name}-mail-%{namedversion}.jar %{orig_name}-monolithic-%{namedversion}.jar
%{__ln_s} %{orig_name}-monolithic-%{namedversion}.jar %{orig_name}-%{namedversion}.jar
popd
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{orig_name}-%{namedversion}
unzip -qq %{_sourcedir}/javadoc-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{orig_name}-%{namedversion} -x 'META-INF/*'
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{orig_name}-%{namedversion} %{name})
%endif

%if 0
# release txt files
%{__mkdir_p} doc/release
unzip -qq %{_sourcedir}/all-%{namedversion}-scm-sources.zip %{orig_name}/doc/release/*.txt
ls -l
%{__cp} -p %{orig_name}/doc/release/*.txt doc/release/
%{__rm} -rf %{orig_name}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc doc/release/*.txt
%if 0
#%%dir %{_javadir}/%{name}
%{_javadir}/%{orig_name}-client-%{namedversion}.jar
%{_javadir}/%{orig_name}-client.jar
#%%{_javadir}/%{orig_name}-client-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-client-sources.jar
%{_javadir}/%{orig_name}-demo-%{namedversion}.jar
%{_javadir}/%{orig_name}-demo.jar
#%%{_javadir}/%{orig_name}-demo-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-demo-sources.jar
%{_javadir}/%{orig_name}-dsn-%{namedversion}.jar
%{_javadir}/%{orig_name}-dsn.jar
#%%{_javadir}/%{orig_name}-dsn-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-dsn-sources.jar
%{_javadir}/%{orig_name}-gimap-%{namedversion}.jar
%{_javadir}/%{orig_name}-gimap.jar
%{_javadir}/%{orig_name}-imap-%{namedversion}.jar
%{_javadir}/%{orig_name}-imap.jar
#%%{_javadir}/%{orig_name}-imap-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-imap-sources.jar
%endif
%{_javadir}/javax.mail-%{namedversion}.jar
%{_javadir}/javax.mail.jar

%if 0
#%%{_javadir}/%{orig_name}-javax.mail-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-javax.mail-sources.jar
%{_javadir}/%{orig_name}-logging-%{namedversion}.jar
%{_javadir}/%{orig_name}-logging.jar
%{_javadir}/%{orig_name}-logging-mailhandler-%{namedversion}.jar
%{_javadir}/%{orig_name}-logging-mailhandler.jar
#%%{_javadir}/%{orig_name}-logging-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-logging-sources.jar
%{_javadir}/%{orig_name}-mailapi-%{namedversion}.jar
%{_javadir}/%{orig_name}-mailapi.jar
%{_javadir}/%{orig_name}-mbox-%{namedversion}.jar
%{_javadir}/%{orig_name}-mbox.jar
#%%{_javadir}/%{orig_name}-mbox-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-mbox-sources.jar
%{_javadir}/%{orig_name}-outlook-%{namedversion}.jar
%{_javadir}/%{orig_name}-outlook.jar
#%%{_javadir}/%{orig_name}-outlook-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-outlook-sources.jar
%{_javadir}/%{orig_name}-pop3-%{namedversion}.jar
%{_javadir}/%{orig_name}-pop3.jar
#%%{_javadir}/%{orig_name}-pop3-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-pop3-sources.jar
%{_javadir}/%{orig_name}-servlet-%{namedversion}.jar
%{_javadir}/%{orig_name}-servlet.jar
#%%{_javadir}/%{orig_name}-servlet-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-servlet-sources.jar
%{_javadir}/%{orig_name}-smtp-%{namedversion}.jar
%{_javadir}/%{orig_name}-smtp.jar
#%%{_javadir}/%{orig_name}-smtp-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-smtp-sources.jar
%{_javadir}/%{orig_name}-taglib-%{namedversion}.jar
%{_javadir}/%{orig_name}-taglib.jar
#%%{_javadir}/%{orig_name}-taglib-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-taglib-sources.jar
#%%{_javadir}/%{orig_name}-webapp-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-webapp-sources.jar
%{_javadir}/%{orig_name}-javax.mail-api-%{namedversion}.jar
%{_javadir}/%{orig_name}-javax.mail-api.jar
%{_javadir}/%{orig_name}-webapp-%{namedversion}.war
%{_javadir}/%{orig_name}-webapp.war
%{_javadir}/%{orig_name}-monolithic-%{namedversion}.jar
%{_javadir}/%{orig_name}-monolithic.jar
%{_javadir}/%{orig_name}-%{namedversion}.jar
%{_javadir}/%{orig_name}.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{orig_name}-%{namedversion}
%{_javadocdir}/%{orig_name}
%endif

%changelog
* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.5.6-4.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.5.6-3.redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.5.6-2.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jan 24 2017 Petr Sakar <psakar@redhat.com> - 1.5.6-1.redhat_1.1
- upgrade to 1.5.6.redhat-1

* Mon Aug 08 2016 Filip Kujikis <fkujikis@redhat.com> - 1.5.5-2.redhat_2.1
- Fix for [JBEAP-2411] javax.mail.jar has incomplete Implementation-version in MANIFEST.MF.

* Tue Jan 05 2016 Yong Yang <yyang@redhat.com> - 1.5.5-1.redhat_1.1
- Rebuild 1.5.5.redhat-1 

* Mon Sep 21 2015 David Walluck <dwalluck@redhat.com> - 1.5.3-3.redhat_2.1
- fix manifests

* Mon Aug 17 2015 David Walluck <dwalluck@redhat.com> - 1.5.3-2.redhat_1.1
- remove alternatives

* Mon Aug 17 2015 Yong Yang <yyang@redhat.com> - 0:1.5.3-1.redhat_1
- 1.5.3

* Tue Dec 02 2014 Lin Gao <lgao@redhat.com> - 1.4.5-2.redhat_2.1
- Rebuilding to fix invalid OSGI version

* Tue Dec 02 2014 Lin Gao <lgao@redhat.com> - 1.4.5-2.redhat_2.1
- Update to use version-release-serial to specify version and release

* Fri Feb 22 2013 Yong Yang <yyang@redhat.com> - 0:1.4.5-1.redhat_1
- 1.4.5

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-16.redhat_2
- Rebuild for MD5

* Tue Sep 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-15.redhat_2
- Rebuild

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 0:1.4.4-14.redhat_2.3
- update pom patch for eap 6.0.1 parent and bom

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-13.redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-13.redhat_2.2
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-13.redhat_1.1
- Rebuild using cache signing

* Fri Jul 20 2012 Lin Gao <lgao@redhat.com> 0:1.4.4-13
- Convert to MEAD build
- Generate jar for javadoc module to use in wrapper build(glassfish-javamail-javadoc.patch)

* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-12
- allow tests to fail (requires networking)
- workaround deploy bug

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.4.4-11
- Remove javadoc from main package

* Thu May 24 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-10
- fix depmaps
- update alternatives priority to 14401

* Thu May 24 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-9
- add %%{name}-monolithic and %%{name} jars for backwards compat

* Wed Apr 11 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-8
- disable javadoc -use (NPE)

* Thu Apr 05 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-7
- build with maven
- fix file locations
- fix repolib file ownership
- remove unused files
- remove license jar (use included txt)

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-6_redhat_1.1
- Rebuild using cache signing

* Mon Feb 06 2012 Yong Yang <yyang@redhat.com> 0:1.4.4-6_redhat_1
- Fix pom location in -repolib

* Fri Feb 03 2012 Yong Yang <yyang@redhat.com> 0:1.4.4-5_redhat_1
- Latest vman and resign

* Wed Feb 01 2012 Fernando Nasser <fnasser@redhat.com> 0:1.4.4-4_redhat_1.1
- Remove JAF dependency

* Tue Aug 30 2011 Yong Yang <huwang@redhat.com> 0:1.4.4-4_redhat_1
- Fix pom location in repolib

* Tue Aug 30 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-3_redhat_1
- Build for Werewolf

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-2
- Specify -Dversion to mvn-jpp

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-1
- Upgrade to 1.4.4

* Thu Jan 20 2011 Hui Wang <huwang@redhat.com> 0:1.4.2-2
- Rebuild 

* Tue Nov 30 2010 Hui Wang <huwang@redhat.com> 0:1.4.2-1
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon Nov 01 2010 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.4
- add javamail alternatives and Provides

* Tue Aug 31 2010 Fernando Nasser <fnasser@redhat.com> 0:1.4.2-0.3.2
- Fix alternatives priority
- Install pom in repolib

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.4.2-0.3.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:1.4.2-0.3
- Rebuild

* Wed Aug 12 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.2
- use simplified pom

* Tue Aug 11 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.1
- 1.4.2
- fix Requires

* Mon Apr 13 2009 David Walluck <dwalluck@redhat.com> 0:1.4.0-4
- fix repolib
- rename repolib location to sun-javamail to match upstream

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-3
- remove javadoc Requires(post)
- fix repolib location

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-2
- quiet setup
- use macros
- fix %%doc
- change repolib component id
- peroperly unpack sources
- update BuildRoot
- fix repolib permissions
- fix maven directory ownership

* Mon Jun 02 2008 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-1
- First JPP 5 build

* Mon Mar 31 2008 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.9
- Removed the post/postun javadoc sections (Taken care of by install and files javadoc sections)

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-0jpp.ep1.8
- Revert to sun-javamail name due to buildmagic

* Fri Nov 23 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.7
- Build with debug info

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-0jpp.ep1.6
- Parametrize component-info contents

* Thu Nov 22 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.5
- Adding component-info.xml
- Change the repodir to glassfish/javamail

* Tue Nov 20 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.4
- Adding in pom stuff

* Fri Nov 16 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.3
- Adding glassfish-jaf to the classpath

* Fri Nov 16 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.2
- Rebuild

* Thu Nov 15 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.1
- First release.
